Bug 1122100 - rpm-build does not require redhat-rpm-config
Summary: rpm-build does not require redhat-rpm-config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm
Version: 6.6
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Packaging Maintenance Team
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 1048514
Blocks: 1199983
TreeView+ depends on / blocked
 
Reported: 2014-07-22 14:28 UTC by Aleš Mareček
Modified: 2015-07-22 07:03 UTC (History)
10 users (show)

Fixed In Version: rpm-4.8.0-44.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1048514
: 1199983 (view as bug list)
Environment:
Last Closed: 2015-07-22 07:03:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1452 normal SHIPPED_LIVE rpm bug fix and enhancement update 2015-07-20 18:43:47 UTC

Description Aleš Mareček 2014-07-22 14:28:31 UTC
+++ This bug was initially created as a clone of Bug #1048514 +++

Description of problem:

I tried to build an RPM with _hardened_build macro. But the binary was not fortified what so ever after an build. imho this is an security issue because you will not know if you not check it with the hardening-check script for example!

Steps to Reproduce:
1. build rpm with hardened_build macro

Actual results:
not hardened

Expected results:
[root@d-hpwtest SPECS]# hardening-check /usr/sbin/nginx
/usr/sbin/nginx:
 Position Independent Executable: yes
 Stack protected: yes
 Fortify Source functions: yes (some protected functions found)
 Read-only relocations: yes
 Immediate binding: yes

Additional info:
This one was a real hair-puller and after a couple of hours I found out that the
problem was fixed by installing redhat-rpm-config. 

The root cause is that $RPM_LD_FLAGS is empty without the config rpm.

Please add redhat-rpm-config as dep of rpm-build or something :-)

Comment 5 Ľuboš Kardoš 2015-03-09 12:52:28 UTC
I added require on "redhat-rpm-config". But we decided that require on "system-rpm-config" is really better solution. Cloning this bug for redhat-rpm-config to add provide "system-rpm-config".

Comment 6 Ľuboš Kardoš 2015-03-09 14:14:00 UTC
Fixed in rpm-build-4.8.0-44.el6.

Comment 9 errata-xmlrpc 2015-07-22 07:03:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1452.html


Note You need to log in before you can comment on or make changes to this bug.